- Request
- Response
POST /score or POST /score/batch. Closes the feedback loop for monitoring and model improvement.
Authentication: X-API-Key.
Request body
Optional fields
When
is_fraud=false, do not include fraud_type. The transaction must already exist in Kairo Shield (it must have been scored).Response fields
If you subscribe to
feedback.received webhooks, you will receive a POST for this event.
More request examples
- Confirmed fraud — ATO
- Legitimate transaction
- Confirmed fraud — friendly fraud
Typical errors
- 401 — Invalid API Key
- 404 — Transaction not found for your client
- 422 — Missing
fraud_typewhenis_fraud=true, or invalid enum
